/* ===============================================
   contact
   =============================================== */
.contact {
    padding: 12.8rem;
    display: flex;
    justify-content: center;
}

.contact__container {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    justify-content: space-between;
}

.contact__column {
    width: 36.0rem;
    height: auto;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 3.2rem;
}

.contact__group {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 3.2rem;
}

.contact__title {
    padding: 0;
    margin: 0;
    font-size: 2.0rem;
    font-weight: var(--font-weight-medium);
    /* Figma = SemiBold --> CSS = Medium */
    line-height: 160%;
    color: var(--color-main);
    text-align: center;
}

.contact__list {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
}

.contact__item {
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 1.6rem;

    padding: 1.6rem;
    border: 0.2rem solid var(--color-main);
    border-radius: 20.0rem;

    cursor: pointer;

    transition:
        box-shadow 0.35s ease,
        transform 0.2s ease;
}

.contact__list .contact__item:hover {
    box-shadow:
        0 0.4rem 0.8rem rgba(60, 64, 67, 0.25),
        0 0.8rem 2.4rem rgba(60, 64, 67, 0.2);

    transform: translateY(-0.2rem);
}

.contact__list .contact__item:active {
    transform: translateY(0);

    box-shadow:
        0 0.2rem 0.4rem rgba(60, 64, 67, 0.2);
}

.contact__item--address {
    cursor: default;
    /* 기본 화살표 커서 유지 */
    pointer-events: none;
    /* 클릭, hover 이벤트 무시 */
}

.contact__icon-wrapper {
    width: 3.2rem;
    height: 3.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-main-soft);
    border-radius: 50%;
}

.contact__icon {
    width: 1.6rem;
    height: 1.6rem;
}

.contact__text {
    padding: 0;
    margin: 0;
    font-size: 1.8rem;
    font-weight: var(--font-weight-medium);
    /* Figma = SemiBold --> CSS = Medium */
    line-height: 160%;
    color: var(--color-main);
}

.contact__illustration {
    width: auto;
    height: 14.4rem;
}



.contact__social {
    padding: 0 1.6rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 1.6rem;
}

.contact__social-title {
    padding: 0;
    margin: 0;
    font-size: 2.0rem;
    font-weight: var(--font-weight-medium);
    /* Figma = SemiBold --> CSS = Medium */
    line-height: 160%;
    color: var(--color-main);
    text-align: center;
}

.contact__social-list {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 1.6rem;
}

.contact__social-item {
    width: 4.8rem;
    height: 4.8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-main-soft);
    border-radius: 50%;

    cursor: pointer;

    transition:
        box-shadow 0.35s ease,
        transform 0.2s ease;
}

.contact__social-list .contact__social-item:hover {
    box-shadow:
        0 0.4rem 0.8rem rgba(60, 64, 67, 0.25),
        0 0.8rem 2.4rem rgba(60, 64, 67, 0.2);

    transform: translateY(-0.2rem);
}

.contact__social-list .contact__social-item:active {
    transform: translateY(0);

    box-shadow:
        0 0.2rem 0.4rem rgba(60, 64, 67, 0.2);
}

.contact__social-group {
    display: flex;
    flex-direction: row;
    gap: 2.8rem;
}

.contact__social-icon {
    width: 2.4rem;
    height: 2.4rem;
}

.contact__social-item--official {
    width: 6.4rem;
    height: 6.4rem;
    background-color: transparent;
}

.contact__social-icon--official {
    width: 6.4rem;
    height: 6.4rem;
}



/* ===============================================
   모바일 반응형
   Desktop : 1728px / (1512px) / 1440px / (1280px)
   Mobile : 1024px / 768px / 390px / 375px

            1512px = 95em(94.5)
   반응형 --> 1280px = 80em
            1024px = 64em
   반응형 --> 0768px = 48em
   반응형 --> 0612px = 39em(38.25) - 390px 대신
            0390px = 25em(24.375)
            0375px = 24em(23.43)
            0320px = 16em
   =============================================== */
   
/* 화면 가로 넓이가 줄어듦에 따라
3개의 contact__column 좌우가
서로 붙는 문제로 86em 추가 */
@media (max-width: 1376px) {
    .contact__container {
        justify-content: center;
        gap: 1.6rem;
    }
}



@media (max-width: 1280px) {
    .contact {
        padding: 9.6rem 6.4rem;
    }

    .contact__container {
        flex-direction: column;
        gap: 9.6rem;
        align-items: center;
        justify-content: space-between;
    }

    .contact__column-gap {
        gap: 9.6rem;
    }
}



@media (max-width: 768px) {
    .contact {
        padding-top: 3.2rem;
        padding-bottom: 6.4rem;
    }

    .contact__container {
        gap: 6.4rem;
    }

    .contact__column-gap {
        gap: 6.4rem;
    }
}



@media (max-width: 612px) {
    .contact {
        padding-left: 1.6rem;
        padding-right: 1.6rem;
    }

    .contact__column {
        width: 100%;
    }

    .contact__text {
        font-size: 1.6rem;
    }
}